BitelioBitelio

Enviar respuestas de la encuesta

Requires explicit final customer confirmation, the current revision and only visible answers. Uses the existing atomic survey validation, submission and customer insight pipeline. Exact retries are idempotent. Returns completed, replayed and available completion/help/nextStep views. Rendering or opening a notification never submits answers.

POST
/public/retention/mobile-survey/submit

Authorization

MobileSurveySession

X-Bitelio-Mobile-Session<token>

Short-lived token created by the authenticated merchant backend; also requires X-Bitelio-Device.

In: header

Header Parameters

X-Bitelio-Device*string
Match^[A-Za-z0-9_-]{16,128}$

Request Body

application/json

revision*integer
Range0 <= value
answers*
Itemsitems <= 100
[key: string]?never

Response Body

application/json

curl -X POST "https://bitelio-api.heltia.com/public/retention/mobile-survey/submit" \  -H "X-Bitelio-Device: string" \  -H "Content-Type: application/json" \  -d '{    "revision": 0,    "answers": [      {        "questionId": "string",        "value": "string"      }    ]  }'
{
  "completed": true,
  "replayed": true,
  "completion": {},
  "help": {},
  "nextStep": {}
}
Empty
Empty
Empty
Empty
Empty